#pragma once

// Classi wrapper IDispatch generate dal computer create da Microsoft Visual C++

// NOTA: non modificare il contenuto di questo file. Se la classe viene rigenerata da
//  Microsoft Visual C++, le modifiche apportate verranno sovrascritte.

/////////////////////////////////////////////////////////////////////////////
// Classe wrapper CQtControl

class CQtControl : public CWnd
{
protected:
        DECLARE_DYNCREATE(CQtControl)
public:
        CLSID const& GetClsid()
        {
                static CLSID const clsid
                        = { 0x24BA3CAF, 0x4BE8, 0x4AEC, { 0xA7, 0xC8, 0x6F, 0x47, 0xD5, 0x68, 0x46, 0x2 } };
                return clsid;
        }
        virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle,
                                                const RECT& rect, CWnd* pParentWnd, UINT nID,
                                                CCreateContext* pContext = NULL)
        {
                return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID);
        }

    BOOL Create(LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd,
                                UINT nID, CFile* pPersist = NULL, BOOL bStorage = FALSE,
                                BSTR bstrLicKey = NULL)
        {
                return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID,
                pPersist, bStorage, bstrLicKey);
        }

// Attributi
public:
enum
{
    bsNone = 0,
    bsPlain = 1,
    bs3D = 2
}BorderStylesEnum;
enum
{
    qtocInitializeQTMLStandard = 0
}InitializeQTMLOptionsEnum;
enum
{
    qtInitializeQTMLFlagNoSound = 1,
    qtInitializeQTMLFlagUseGDI = 2,
    qtInitializeQTMLFlagDisableDirectSound = 4,
    qtInitializeQTMLFlagUseExclusiveFullScreenMode = 8
}QTInitializeQTMLFlagsEnum;
enum
{
    qtControlFitsMovie = 0,
    qtMovieFitsControl = 1,
    qtMovieFitsControlMaintainAspectRatio = 2,
    qtMovieCenteredInControl = 3,
    qtManualSizing = 4
}QTSizingModeEnum;
enum
{
    qtOpenMovieFlagActive = 1,
    qtOpenMovieFlagDontResolveDataRefs = 2,
    qtOpenMovieFlagDontAskUnresolvedDataRefs = 4,
    qtOpenMovieFlagDontAutoAlternates = 8,
    qtOpenMovieFlagAsyncOK = 256,
    qtOpenMovieFlagIdleImportOK = 1024,
    qtOpenMovieFlagDontInteractWithUser = 2048,
    qtOpenMovieDefaultFlags = 1025
}QTOpenMovieFlagsEnum;
enum
{
    qtFullScreenFlagHideCursor = 1,
    qtFullScreenFlagAllowEvents = 2,
    qtFullScreenFlagDontChangeMenuBar = 4,
    qtFullScreenDefaultFlags = 6
}QTFullScreenFlagsEnum;
enum
{
    qtFullScreenMovieFitsMonitor = 1,
    qtFullScreenMovieFitsMonitorMaintainAspectRatio = 2,
    qtFullScreenMovieCenteredInMonitor = 3,
    qtFullScreenManualSizing = 4
}QTFullScreenSizingModeEnum;
enum
{
    qtStatusCodeTypeControl = 0,
    qtStatusCodeTypeMovieLoadState = 2
}QTStatusCodeTypesEnum;
enum
{
    qtStatusNone = 0,
    qtStatusConnecting = 2,
    qtStatusNegotiating = 5,
    qtStatusRequestedData = 11,
    qtStatusBuffering = 12,
    qtStatusURLChanged = 4096,
    qtStatusFullScreenBegin = 4097,
    qtStatusFullScreenEnd = 4098,
    qtStatusMovieLoadFinalize = 4099,
    qtMovieLoadStateError = -1,
    qtMovieLoadStateLoading = 1000,
    qtMovieLoadStateLoaded = 2000,
    qtMovieLoadStatePlayable = 10000,
    qtMovieLoadStatePlaythroughOK = 20000,
    qtMovieLoadStateComplete = 100000
}QTStatusCodesEnum;
enum
{
    qtErrorEventOriginControl = 0,
    qtErrorEventOriginMovie = 1,
    qtErrorEventOriginQuickTime = 2
}QTErrorEventOriginEnum;


// Operazioni
public:

// IQTControl

// Functions
//

        void ShowAboutBox()
        {
                InvokeHelper(DISPID_ABOUTBOX, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
        }
        void put_BackColor(unsigned long newValue)
        {
                static BYTE parms[] = VTS_UI4 ;
                InvokeHelper(DISPID_BACKCOLOR, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        unsigned long get_BackColor()
        {
                unsigned long result;
                InvokeHelper(DISPID_BACKCOLOR, DISPATCH_PROPERTYGET, VT_UI4, (void*)&result, NULL);
                return result;
        }
        void put_BorderColor(unsigned long newValue)
        {
                static BYTE parms[] = VTS_UI4 ;
                InvokeHelper(DISPID_BORDERCOLOR, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        unsigned long get_BorderColor()
        {
                unsigned long result;
                InvokeHelper(DISPID_BORDERCOLOR, DISPATCH_PROPERTYGET, VT_UI4, (void*)&result, NULL);
                return result;
        }
        void put_BorderStyle(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(DISPID_BORDERSTYLE, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_BorderStyle()
        {
                long result;
                InvokeHelper(DISPID_BORDERSTYLE, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        long QuickTimeInitialize(VARIANT InitOptions, VARIANT InitFlags)
        {
                long result;
                static BYTE parms[] = VTS_VARIANT VTS_VARIANT ;
                InvokeHelper(0x1, DISPATCH_METHOD, VT_I4, (void*)&result, parms, &InitOptions, &InitFlags);
                return result;
        }
        void QuickTimeTerminate()
        {
                InvokeHelper(0x2, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
        }
        CString get_URL()
        {
                CString result;
                InvokeHelper(0x3, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
                return result;
        }
        void put_URL(LPCTSTR newValue)
        {
                static BYTE parms[] = VTS_BSTR ;
                InvokeHelper(0x3, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        CString get_FileName()
        {
                CString result;
                InvokeHelper(0x34, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
                return result;
        }
        void put_FileName(LPCTSTR newValue)
        {
                static BYTE parms[] = VTS_BSTR ;
                InvokeHelper(0x34, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        void _get_DataRef(long * pDataRef, long * pDataRefType)
        {
                static BYTE parms[] = VTS_PI4 VTS_PI4 ;
                InvokeHelper(0x24, DISPATCH_METHOD, VT_EMPTY, NULL, parms, pDataRef, pDataRefType);
        }
        void _put_DataRef(long inDataRef, long inDataRefType, VARIANT inNewMovieFlags)
        {
                static BYTE parms[] = VTS_I4 VTS_I4 VTS_VARIANT ;
                InvokeHelper(0x23, DISPATCH_METHOD, VT_EMPTY, NULL, parms, inDataRef, inDataRefType, &inNewMovieFlags);
        }
        void CreateNewMovie(VARIANT movieIsActive)
        {
                static BYTE parms[] = VTS_VARIANT ;
                InvokeHelper(0x25, DISPATCH_METHOD, VT_EMPTY, NULL, parms, &movieIsActive);
        }
        void CreateNewMovieFromImages(LPCTSTR bstrFirstFilePath, float rate, BOOL rateIsFramesPerSecond)
        {
                static BYTE parms[] = VTS_BSTR VTS_R4 VTS_BOOL ;
                InvokeHelper(0x26, DISPATCH_METHOD, VT_EMPTY, NULL, parms, bstrFirstFilePath, rate, rateIsFramesPerSecond);
        }
        LPDISPATCH get_Movie()
        {
                LPDISPATCH result;
                InvokeHelper(0x4, DISPATCH_PROPERTYGET, VT_DISPATCH, (void*)&result, NULL);
                return result;
        }
        LPDISPATCH get_QuickTime()
        {
                LPDISPATCH result;
                InvokeHelper(0x5, DISPATCH_PROPERTYGET, VT_DISPATCH, (void*)&result, NULL);
                return result;
        }
        long get_ErrorCode()
        {
                long result;
                InvokeHelper(0x6, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        VARIANT get__Property(long propertyClass, long propertyID)
        {
                VARIANT result;
                static BYTE parms[] = VTS_I4 VTS_I4 ;
                InvokeHelper(0x27, DISPATCH_PROPERTYGET, VT_VARIANT, (void*)&result, parms, propertyClass, propertyID);
                return result;
        }
        void put__Property(long propertyClass, long propertyID, VARIANT newValue)
        {
                static BYTE parms[] = VTS_I4 VTS_I4 VTS_VARIANT ;
                InvokeHelper(0x27, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, propertyClass, propertyID, &newValue);
        }
        BOOL get_IsQuickTimeAvailable(long howToCheck)
        {
                BOOL result;
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x8, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, parms, howToCheck);
                return result;
        }
        long get_QuickTimeVersion()
        {
                long result;
                InvokeHelper(0x9, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        long get__MovieHandle()
        {
                long result;
                InvokeHelper(0xa, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        void put__MovieHandle(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0xa, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get__MovieControllerHandle()
        {
                long result;
                InvokeHelper(0xb, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        long get_hWnd()
        {
                long result;
                InvokeHelper(DISPID_HWND, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        BOOL get_MovieControllerVisible()
        {
                BOOL result;
                InvokeHelper(0xc, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
                return result;
        }
        void put_MovieControllerVisible(BOOL newValue)
        {
                static BYTE parms[] = VTS_BOOL ;
                InvokeHelper(0xc, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        float get_ScaleX()
        {
                float result;
                InvokeHelper(0xd, DISPATCH_PROPERTYGET, VT_R4, (void*)&result, NULL);
                return result;
        }
        void put_ScaleX(float newValue)
        {
                static BYTE parms[] = VTS_R4 ;
                InvokeHelper(0xd, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        float get_ScaleY()
        {
                float result;
                InvokeHelper(0xe, DISPATCH_PROPERTYGET, VT_R4, (void*)&result, NULL);
                return result;
        }
        void put_ScaleY(float newValue)
        {
                static BYTE parms[] = VTS_R4 ;
                InvokeHelper(0xe, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        void SetScale(float x, VARIANT y)
        {
                static BYTE parms[] = VTS_R4 VTS_VARIANT ;
                InvokeHelper(0xf, DISPATCH_METHOD, VT_EMPTY, NULL, parms, x, &y);
        }
        void put_FullScreen(BOOL newValue)
        {
                static BYTE parms[] = VTS_BOOL ;
                InvokeHelper(0x12, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        BOOL get_FullScreen()
        {
                BOOL result;
                InvokeHelper(0x12, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
                return result;
        }
        void put_FullScreenFlags(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x17, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_FullScreenFlags()
        {
                long result;
                InvokeHelper(0x17, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        void put_FullScreenMonitorNumber(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x32, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_FullScreenMonitorNumber()
        {
                long result;
                InvokeHelper(0x32, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        void put_FullScreenEndKeyCode(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x18, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_FullScreenEndKeyCode()
        {
                long result;
                InvokeHelper(0x18, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        long get_FullScreenHWND()
        {
                long result;
                InvokeHelper(0x19, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        void put_FullScreenSizing(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x33, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_FullScreenSizing()
        {
                long result;
                InvokeHelper(0x33, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        void put_ErrorHandling(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x13, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_ErrorHandling()
        {
                long result;
                InvokeHelper(0x13, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        void put_Sizing(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x15, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_Sizing()
        {
                long result;
                InvokeHelper(0x15, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        CString get_Version()
        {
                CString result;
                InvokeHelper(0x16, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
                return result;
        }
        void put_NewMovieFlags(long newValue)
        {
                static BYTE parms[] = VTS_I4 ;
                InvokeHelper(0x31, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        long get_NewMovieFlags()
        {
                long result;
                InvokeHelper(0x31, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
                return result;
        }
        CString get_AutoPlay()
        {
                CString result;
                InvokeHelper(0x1003, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
                return result;
        }
        void put_AutoPlay(LPCTSTR newValue)
        {
                static BYTE parms[] = VTS_BSTR ;
                InvokeHelper(0x1003, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        CString get_BaseURL()
        {
                CString result;
                InvokeHelper(0x22, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
                return result;
        }
        void put_BaseURL(LPCTSTR newValue)
        {
                static BYTE parms[] = VTS_BSTR ;
                InvokeHelper(0x22, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
        }
        void MovieResizingLock()
        {
                InvokeHelper(0x28, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
        }
        void MovieResizingUnlock()
        {
                InvokeHelper(0x29, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
        }
        void SetSizing(long sizingOption, BOOL forceSizeUpdate)
        {
                static BYTE parms[] = VTS_I4 VTS_BOOL ;
                InvokeHelper(0x30, DISPATCH_METHOD, VT_EMPTY, NULL, parms, sizingOption, forceSizeUpdate);
        }

// Properties
//



};
