// TestOcxDlg.cpp : file di implementazione
//

#include "stdafx.h"
#include "TestOcx.h"
#include "TestOcxDlg.h"
#include "QuickTimeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// finestra di dialogo CAboutDlg utilizzata per visualizzare le informazioni sull'applicazione.

class CAboutDlg : public CDialog
{
public:
        CAboutDlg();

// Dati della finestra di dialogo
        enum { IDD = IDD_ABOUTBOX };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);    // supporto DDX/DDV

// Implementazione
protected:
        DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
        CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// finestra di dialogo CTestOcxDlg




CTestOcxDlg::CTestOcxDlg(const CString& strDefaultPath, CWnd* pParent /*=NULL*/)
        : CDialog(CTestOcxDlg::IDD, pParent)
        , m_strDefaultPath(strDefaultPath)
{
        m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTestOcxDlg::DoDataExchange(CDataExchange* pDX)
{
        CDialog::DoDataExchange(pDX);
        DDX_Control(pDX, IDC_EDIT_PATH, m_kEditPath);
        DDX_Control(pDX, IDC_CHECK_FULLSCREEN, m_kFullscreen);
        DDX_Control(pDX, IDC_CHECK_MOVIECONTROLLERVISIBLE, m_kMovieControllerVisible);
}

BEGIN_MESSAGE_MAP(CTestOcxDlg, CDialog)
        ON_WM_SYSCOMMAND()
        ON_WM_PAINT()
        ON_WM_QUERYDRAGICON()
        //}}AFX_MSG_MAP
        ON_BN_CLICKED(IDC_BUTTON_BROWSE, &CTestOcxDlg::OnBnClickedButtonBrowse)
        ON_BN_CLICKED(IDOK, &CTestOcxDlg::OnBnClickedOk)
        ON_BN_CLICKED(IDQUIT, &CTestOcxDlg::OnBnClickedQuit)
END_MESSAGE_MAP()


// gestori di messaggi di CTestOcxDlg

BOOL CTestOcxDlg::OnInitDialog()
{
        CDialog::OnInitDialog();

        // Aggiungere la voce di menu "Informazioni su..." al menu di sistema.

        // IDM_ABOUTBOX deve trovarsi tra i comandi di sistema.
        ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
        ASSERT(IDM_ABOUTBOX < 0xF000);

        CMenu* pSysMenu = GetSystemMenu(FALSE);
        if (pSysMenu != NULL)
        {
                BOOL bNameValid;
                CString strAboutMenu;
                bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
                ASSERT(bNameValid);
                if (!strAboutMenu.IsEmpty())
                {
                        pSysMenu->AppendMenu(MF_SEPARATOR);
                        pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
                }
        }

        // Impostare l'icona per questa finestra di dialogo. Il framework non esegue questa operazione automaticamente
        //  se la finestra principale dell'applicazione non ? una finestra di dialogo.
        SetIcon(m_hIcon, TRUE);                 // Impostare icona grande.
        SetIcon(m_hIcon, FALSE);                // Impostare icona piccola.

        m_kEditPath.SetWindowText(m_strDefaultPath);

        return TRUE;  // restituisce TRUE a meno che non venga impostato lo stato attivo su un controllo.
}

void CTestOcxDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
        if ((nID & 0xFFF0) == IDM_ABOUTBOX)
        {
                CAboutDlg dlgAbout;
                dlgAbout.DoModal();
        }
        else
        {
                CDialog::OnSysCommand(nID, lParam);
        }
}

// Se si aggiunge alla finestra di dialogo un pulsante di riduzione a icona, per trascinare l'icona sar? necessario
//  il codice sottostante. Per le applicazioni MFC che utilizzano il modello documento/visualizzazione,
//  questa operazione viene eseguita automaticamente dal framework.

void CTestOcxDlg::OnPaint()
{
        if (IsIconic())
        {
                CPaintDC dc(this); // contesto di dispositivo per il disegno

                SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

                // Centrare l'icona nel rettangolo client.
                int cxIcon = GetSystemMetrics(SM_CXICON);
                int cyIcon = GetSystemMetrics(SM_CYICON);
                CRect rect;
                GetClientRect(&rect);
                int x = (rect.Width() - cxIcon + 1) / 2;
                int y = (rect.Height() - cyIcon + 1) / 2;

                // Disegnare l'icona
                dc.DrawIcon(x, y, m_hIcon);
        }
        else
        {
                CDialog::OnPaint();
        }
}

// Il sistema chiama questa funzione per ottenere la visualizzazione del cursore durante il trascinamento
//  della finestra ridotta a icona.
HCURSOR CTestOcxDlg::OnQueryDragIcon()
{
        return static_cast<HCURSOR>(m_hIcon);
}

void CTestOcxDlg::OnBnClickedButtonBrowse()
{
        CFileDialog kFileDialog(/*bOpenFileDialog*/TRUE);

        if(kFileDialog.DoModal() == IDOK)
        {
                m_kEditPath.SetWindowText(kFileDialog.GetPathName());

                GetDlgItem(IDOK)->SetFocus();
        }
}

void CTestOcxDlg::OnBnClickedOk()
{
        CString strURL;

        m_kEditPath.GetWindowText(strURL);

        CQuickTimeDlg(strURL, m_kFullscreen.GetCheck(), m_kMovieControllerVisible.GetCheck(), this).DoModal();
}

void CTestOcxDlg::OnBnClickedQuit()
{
        // TODO: aggiungere qui il codice per la gestione della notifica del controllo.
        OnOK();
}
